import math

# Prompt the user for input values
m = float(input("Enter the mass of the traffic light (kg): "))
g = float(input("Enter gravitational acceleration (m/s²): "))
theta1_deg = float(input("Enter the angle for cable 1 (in degrees): "))
theta2_deg = float(input("Enter the angle for cable 2 (in degrees): "))
T_max = float(input("Enter the maximum safe tension (N): "))

# Calculate the weight of the traffic light
W = m * g

# Convert angles from degrees to radians
theta1 = math.radians(theta1_deg)
theta2 = math.radians(theta2_deg)

# Display the formulas used
print("\nFormulas Used:")
print("1. Weight of the traffic light: W = m * g")
print("2. Horizontal equilibrium: T1 * cos(theta1) = T2 * cos(theta2)")
print("   -> T1 = T2 * (cos(theta2) / cos(theta1))")
print("3. Vertical equilibrium: T1 * sin(theta1) + T2 * sin(theta2) = W")
print("   -> T2 = W / ((cos(theta2)/cos(theta1))*sin(theta1) + sin(theta2))")

# Compute the denominator for T2
denom = (math.cos(theta2) / math.cos(theta1)) * math.sin(theta1) + math.sin(theta2)

# Check for a zero denominator to avoid division by zero
if denom == 0:
    print("Error: Calculation cannot be performed (denominator is zero).")
else:
    T2 = W / denom
    T1 = T2 * (math.cos(theta2) / math.cos(theta1))

    # Display the calculated tensions
    print("\nCalculated Tensions:")
    print("Tension in Cable 1 (T₁): {:.2f} N".format(T1))
    print("Tension in Cable 2 (T₂): {:.2f} N".format(T2))

    # Check if either cable exceeds the maximum safe tension
    if T1 > T_max:
        print("Warning: Cable 1 will break!")
    else:
        print("Cable 1 is safe.")

    if T2 > T_max:
        print("Warning: Cable 2 will break!")
    else:
        print("Cable 2 is safe.")
